Name: ca_RCauth-Pilot-ICA-G1
Version: 1.115
Release: 1
Source: ca_RCauth-Pilot-ICA-G1-1.115.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_RCauth-Pilot-ICA-G1-1.115/RCauth-Pilot-ICA-G1.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for iota accredited authority RCauth-Pilot-ICA-G1

%if %([ -n "https://www.rcauth.eu/" ] && echo 1 || echo 0)
URL: https://www.rcauth.eu/
%endif

%if %([ -n "ca_DCAROOT-G1 = 1.115" ] && echo 1 || echo 0)
Requires: ca_DCAROOT-G1 = 1.115
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Obsoletes: 
%endif

%prep
%setup -n ca_RCauth-Pilot-ICA-G1-1.115

%description
This is the trust anchor for the iota accredited authority RCauth-Pilot-ICA-G1.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

